mod grpc_server;

use grpc_server::GrpcServer;

pub(crate) struct NetworkService;

impl NetworkService {
    pub(crate) async fn init() {
        log::info!("Starting network service...");

        tokio::spawn(async { GrpcServer::init().await });

        log::info!("network service successfully started!");
    }
}
